"""Backtest your trading signals.

The `backtesting` package is a Python simulation tool designed to
evaluate trading signals by replaying historical market data.
It transforms trading signals into executed trades, allowing you
to assess how they would have performed in real market conditions.
These signals are often generated by a trading algorithm,
alternatively you can evaluate your own trading.
"""

from ptahlmud.backtesting.backtest import RiskConfig, process_signals
from ptahlmud.backtesting.positions import Trade

__all__ = ["RiskConfig", "Trade", "process_signals"]
